package com.xlht.xlhtproject.controller;


import com.xlht.xlhtproject.domain.TXinyiMedicineParam;
import com.xlht.xlhtproject.respParse.bean.AjaxResult;
import com.xlht.xlhtproject.service.ITXinyiMedicineParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 智能投药参数设置Controller
 * 
 * @author slibra
 * @date 2024-09-09
 */
@RestController
@RequestMapping("/business/medicineParamSetting")
public class TXinyiMedicineParamController extends BaseController
{
    @Autowired
    private ITXinyiMedicineParamService tXinyiMedicineParamService;

//    前端需要的接口

    /**
     * 修改智能投药参数设置
     *
     */
    @PutMapping
    public AjaxResult edit(@RequestBody TXinyiMedicineParam tXinyiMedicineParam)
    {
//        tXinyiMedicineParam.setUpdateBy(getUsername());
        return toAjax(tXinyiMedicineParamService.updateTXinyiMedicineParam(tXinyiMedicineParam));
    }



    /**
     * 新增智能投药参数设置
     */
//    @PreAuthorize("@ss.hasPermi('business:param:add')")
//    @Log(title = "智能投药参数设置", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TXinyiMedicineParam tXinyiMedicineParam)
    {
//        tXinyiMedicineParam.setCreateBy(getUsername());
        return toAjax(tXinyiMedicineParamService.insertTXinyiMedicineParam(tXinyiMedicineParam));
    }


    /**
     * 获取智能投药参数设置详细信息的历史记录-统计使用
     */
    @GetMapping(value = "/getList")
    public AjaxResult getList(TXinyiMedicineParam tXinyiMedicineParam)
    {
        return success(tXinyiMedicineParamService.selectTXinyiMedicineParamList(tXinyiMedicineParam));
    }


    /**
     * 获取智能投药参数设置详细信息最新的一条数据
     */
    @GetMapping(value = "/getLatestRecord")
    public AjaxResult getLatestRecord()
    {
        return success(tXinyiMedicineParamService.getLatestRecord());
    }



}
